Package com.pixelmed.anatproc

## Class SchemeAndValuePair

- java.lang.Object
- - com.pixelmed.anatproc.SchemeAndValuePair

-     public class SchemeAndValuePair
      extends java.lang.Object

  This class represents a concept by a combination of CodingSchemeDesignator and CodeValue.

  Typically used as a index key with which to look up a concept (disregarding its text CodeMeaning).

  See Also:
    `CodedConcept`, `DictionaryOfConcepts`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `codeValue` |
    `protected java.lang.String` | `codingSchemeDesignator` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchemeAndValuePair​(CodedSequenceItem item)` |
    `SchemeAndValuePair​(java.lang.String codeValue, java.lang.String codingSchemeDesignator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### codeValue

          protected java.lang.String codeValue

    - #### codingSchemeDesignator

          protected java.lang.String codingSchemeDesignator

  - ### Constructor Detail

    - #### SchemeAndValuePair

          public SchemeAndValuePair​(java.lang.String codeValue,
                                    java.lang.String codingSchemeDesignator)

    - #### SchemeAndValuePair

          public SchemeAndValuePair​(CodedSequenceItem item)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`